FROM mcr.microsoft.com/dotnet/runtime:6.0 AS base
WORKDIR /app

FROM mcr.microsoft.com/dotnet/sdk:6.0 AS build
WORKDIR /src
COPY ["Flux_System_Assistant/Flux_System_Assistant.csproj", "Flux_System_Assistant/"]
RUN dotnet restore "Flux_System_Assistant/Flux_System_Assistant.csproj"
COPY . .
WORKDIR "/src/Flux_System_Assistant"
RUN dotnet build "Flux_System_Assistant.csproj" -c Release -o /app/build

FROM build AS publish
RUN dotnet publish "Flux_System_Assistant.csproj" -c Release -o /app/publish

FROM base AS final
WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "Flux_System_Assistant.dll"]
